#data
wagedata = read.table("wagedata.csv")

#3.2
lm<-lm(wage ~ educ + exper, data = wagedata)
lm
summary(lm)
plot(wage ~ educ, data = wagedata)
abline(lm);
plot(wage ~ exper, data = wagedata)
#abline(lm);
#plot(wage ~ educ + exper, data = wagedata)

#matrix multiplikation test
#X_test = matrix(c(1,2,3,4,5,6),ncol=2)
#b_test = matrix(c(1,2),ncol=1)
#test = X_test %*% b_test; #skalarmultiplikation


#show that.. # !!If the regression contains a constant, e.g. the first column of X only contains ones!!
X = matrix(c(rep(1, times=526), wagedata$educ , wagedata$exper),ncol=3);
b_hat <- matrix(c(lm$coefficients['(Intercept)'],lm$coefficients['educ'], lm$coefficients['exper']),ncol=1);

y_hat = X %*% b_hat;
u_hat = wagedata$wage - y_hat

zero = t(X) %*% u_hat
zero
zero = t(y_hat) %*% u_hat
zero


#3.3 a
plot(wage ~ exper, data = wagedata)
plot(wage ~ I(exper^2), data = wagedata)
plot(log(wage) ~ I(exper^2), data = wagedata)

lm<-lm(wage ~ educ + exper, data = wagedata)
summary(lm)
lm<-lm(wage ~ educ + exper + I(exper^2), data = wagedata)
summary(lm)
lm<-lm(log(wage) ~ educ + exper + I(exper^2), data = wagedata)
summary(lm) 
#R^2 : 0.2252 0.2692 0.3003
#education > experience

#b
lm<-lm(wage ~ exper, data = wagedata)
summary(lm)
plot(lm$coefficients['exper']*wagedata$exper ~wagedata$exper)

lm<-lm(wage ~ educ + exper + I(exper^2), data = wagedata)
summary(lm)
plot((lm$coefficients['exper']*wagedata$exper + lm$coefficients['I(exper^2)']*I(wagedata$exper^2))~wagedata$exper)

lm<-lm(log(wage) ~ educ + exper + I(exper^2), data = wagedata)
summary(lm)
plot((lm$coefficients['exper']*wagedata$exper + lm$coefficients['I(exper^2)']*I(wagedata$exper^2))~wagedata$exper)

#Experience 30 has the highest value (influence)

#3.5
lm<-lm(log(wage) ~ educ - 1, data = wagedata)
summary(lm)
plot(log(wage) ~ educ, data = wagedata)
abline(lm)

b_hat = sum(wagedata$educ+log(wagedata$wage))/sum(wagedata$educ^2)
b_hat
abline(0,b_hat)

X = matrix(c(wagedata$educ),ncol=1);
b_hat <- matrix(c(lm$coefficients['educ']),ncol=1);

y_hat = X %*% b_hat;
u_hat = log(wagedata$wage) - y_hat

r_squared_non_centered = 1 - ( sum(u_hat^2) / sum(log(wagedata$wage)^2) )
r_squared_non_centered

#3.6
lm<-lm(log(wage) ~ educ, data = wagedata)
summary(lm)

X = matrix(c(wagedata$educ),ncol=1);
b_hat <- matrix(c(lm$coefficients['educ']),ncol=1);

y_hat = X %*% b_hat;
u_hat = log(wagedata$wage) - y_hat

r_squared_non_centered = 1 - ( sum(u_hat^2) / sum(log(wagedata$wage)^2) )
r_squared_non_centered
